# Cells

The **Cells** tab allows you to quickly preview and explore the table's data as a grid – even for tables with billions of records. In order to view this tab, you will need [data access](/reference/data-access/access-levels.md#data-access) to the corresponding table.

Clicking any the header or cells in any column will display the variable's summary statistics. You can also right click a cell to filter by a specific value, or sort on that variable.

For any Geography type variables, you can hover on the cell or click to see a preview of the geospatial feature.&#x20;

For [file index tables](/reference/datasets/data.md#folders-and-index-tables), hover or click on a cell corresponding to the `file_id` to preview that file.

{% hint style="info" %}
The order of records within a table is arbitrary and non-deterministic, unless the table is the result of a transform or query that specifies an [order clause](/reference/workflows/transforms/step-order.md).&#x20;

This behavior allows for the performance and scaling characteristics of tabular data on Redivis, and is typical for relational databases and other tabular data stores.&#x20;

If the order of records is considered to be part of the "data" in your table, you should create an additional "record number" variable that can be sorted on. Alternatively, you can upload your source files as [unstructured data](/reference/datasets/create-and-edit-datasets/import-files.md), in which case an exact copy of the original file will be stored.
{% endhint %}

![](/files/rgWF7MBzqSB7WEk0QHDH)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/reference/tables/cells.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
